/*
 * Copyright  2004 ESUP-portail consortium  
 * 
 * Authors : Sbastien GAUDIN
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation augmented according to the possibility of using it with programs developped under the Apache licence published by the Apache Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * See the license terms site for more details : http://www.esup-portail.org/license.html
*/
package org.esupportail.portal.channels.CAnnuaire;

import java.util.Vector;

import javax.naming.NamingEnumeration;

public class Line {

	/**
	 * Represente le libell  afficher
	 */
	private String label;

	/**
	 * Represente le type de donne  afficher (rsultat d'une liste, champ direct, ...)
	 */
	private String type;

	/**
	 * Represente le nom de l'attribut ldap a afficher
	 */
	private String attribute;

	/**
	 * Represente si cet attribut est prsent dans la liste rsultat sous forme de tableau
	 */
	private boolean list;

	/**
	 * Represente le nom de la table monte en config si la valeur doit prevenir d'une table
	 */
	private String linktable;

	/**
	 * Represente si le l'attribut sert de lien du tableau  la fiche
	 */
	private boolean tabToCard;

	/**
	 * Represente les valeur de cet attribut
	 */
	private Vector values;

	/**
	 * @return si il doit y avoir un lien du tableau  la fiche
	 */
	public boolean getTabToCard() {
		return tabToCard;
	}

	/**
	 * @param value
	 */
	public void setTabToCard(boolean value) {
		tabToCard = value;
	}

	/**
	 *
	 * @return le label  afficher
	 */
	public String getLabel() {
		return label;
	} // end getLabel

	/**
	 *
	 * @param value
	 */
	public void setLabel(String value) {
		label = value;
	} // end setLabel

	/**
	 * @return l'attribut ldap correspondant  l'objet
	 */
	public String getAttribute() {
		return attribute;
	} // end getAttribute

	/**
	 * @param string
	 */
	public void setAttribute(String string) {
		attribute = string;
	} // end setAttribute

	/**
	 * Retourne le type de donne  afficher (rsultat d'une liste, champ direct, ...)
	 *
	 * @return le type
	 */
	public String getType() {
		return type;
	} // end getType

	/**
	 * Dfinit le type de donne  afficher (rsultat d'une liste, champ direct, ...)
	 *
	 * @param le type
	 */
	public void setType(String value) {
		type = value;
	} // end setType

	/**
	 * Dfinit si l'attribut est visible dans la liste rsultat sous forme de tableau
	 *
	 * @return true / false
	 */
	public boolean getList() {
		return list;
	} // end getList

	/**
	 *Dfinit la liste de valeurs pour cette ligne
	 *
	 * @param value
	 */
	public void setList(boolean value) {
		list = value;
	} // end setList

	/**
	 * Retourne le nom de la table lie	 *
	 *
	 *
	 * @return le nom de la table 
	 */
	public String getLinktable() {
		return linktable;
	} // end getLinktable

	/**
	 * Dfinit le nom de la table lie	 *
	 *
	 * @param le nom de la table
	 */
	public void setLinktable(String __linktable) {

		linktable = __linktable;
	} // end setLinktable

	/** 
	 * @return toutes les valeurs de cet attribut
	 */
	public Vector getValues() {
		return values;
	}

	/**
	 * @param value
	 */
	public void setValues(NamingEnumeration value) {
		if (value != null) {
			if (values == null)
				values = new Vector();
			while (value.hasMoreElements()) {
				values.add(value.nextElement());
			}
		}
	}
} // end Line
